{% extends "accounts/base.html" %}

{% block content %}

<div class="container" id="containerSBN">
    <div class="card ">
        <div class="card-body">
            <h5 class="card-title text-center">
                <div class="">
                    {% if heading %}
                    <h3>{{heading}}</h3>
                    {% endif %}
                </div>

            </h5>
            <div id="divnumbers" style="visibility: hidden;width: 2px;height: 2px;">
                {{pstr}}
            </div>


            <div class="row" style="margin-right: 0px;margin-left: 0px;">
                <form class="form-horizontal" method="POST" action=""
                    style="width: 100%;">
                    {% csrf_token %}

                    <div class="form-group">
                        <div class="">
                            {{submissionboxesform.ega_box_number.label}} <span id="startrequired"> *</span>
                        </div>
                        <div class="">
                            <div class="input-group">
                                {{submissionboxesform.ega_box_number}}

                                <button id="buttoncal" type="button" class="btn btn-warning">Calculate</button>
                            </div>
                            <span class="errormessage"> {{  submissionboxesform.ega_box_number.errors}} </span>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="">
                            <label>{{submissionboxesform.rt_ticket.label}} <span id="startrequired"> *</span></label>
                        </div>
                        <div class="">
                            <div class="input-group">
                                {{submissionboxesform.rt_ticket}}
                            </div>
                            <span class="errormessage"> {{  submissionboxesform.rt_ticket.errors}} </span>
                        </div>
                    </div>
                    {{ formset.management_form }}
                    {% for form in formset %}
                    <div class="form-row form-group">
                        <div class="">
                            <label>{{form.email.label}} <span id="startrequired">*</span></label>
                        </div>
                        <div class="">
                            <div class="input-group">
                                {{form.email}}
                                <div class="input-group-append">
                                    <button class="btn btn-success add-form-row">+</button>
                                </div>
                            </div>
                            <span class="errormessage"> {{form.email.errors}} </span>
                        </div>
                    </div>
                    {% endfor %}
                    <div class="form-group">
                        <div class="">
                            <label>{{submissionboxesform.comments.label}}</label>
                        </div>
                        <div class="">
                            <div class="input-group">
                                {{submissionboxesform.comments}}
                            </div>
                            <span class="errormessage"> {{submissionboxesform.comments.errors}} </span>
                            <div>
                                <label style="float: right; text-align: right;">
                                    Use a <a href="#" id="exampleAsig">example </a> |
                                    <a href="#" id="clearAsig">Clear comments</a>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="">
                            <span id="startrequired">*</span>required
                            <button type="submit" class="btn btn-block btn-primary" value="create" id="Create">Create</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>

</div>


{% endblock %}

{% block custom_js %}
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"></script>
<script type="text/javascript">
    function updateElementIndex(el, prefix, ndx) {
        var id_regex = new RegExp('(' + prefix + '-\\d+)');
        var replacement = prefix + '-' + ndx;
        if ($(el).attr("for")) $(el).attr("for", $(el).attr("for").replace(id_regex, replacement));
        if (el.id) el.id = el.id.replace(id_regex, replacement);
        if (el.name) el.name = el.name.replace(id_regex, replacement);
    }
    function cloneMore(selector, prefix) {
        var newElement = $(selector).clone(true);
        var total = $('#id_' + prefix + '-TOTAL_FORMS').val();
        newElement.find(':input:not([type=button]):not([type=submit]):not([type=reset])').each(function () {
            var name = $(this).attr('name')
            if (name) {
                name = name.replace('-' + (total - 1) + '-', '-' + total + '-');
                var id = 'id_' + name;
                $(this).attr({ 'name': name, 'id': id }).val('').removeAttr('checked');
            }
        });
        newElement.find('label').each(function () {
            var forValue = $(this).attr('for');
            if (forValue) {
                forValue = forValue.replace('-' + (total - 1) + '-', '-' + total + '-');
                $(this).attr({ 'for': forValue });
            }
        });
        total++;
        $('#id_' + prefix + '-TOTAL_FORMS').val(total);
        $(selector).after(newElement);
        var conditionRow = $('.form-row:not(:last)');
        conditionRow.find('.btn.add-form-row')
            .removeClass('btn-success').addClass('btn-danger')
            .removeClass('add-form-row').addClass('remove-form-row')
            .html('-');
        return false;
    }
    function deleteForm(prefix, btn) {
        var total = parseInt($('#id_' + prefix + '-TOTAL_FORMS').val());
        if (total > 1) {
            btn.closest('.form-row').remove();
            var forms = $('.form-row');
            $('#id_' + prefix + '-TOTAL_FORMS').val(forms.length);
            for (var i = 0, formCount = forms.length; i < formCount; i++) {
                $(forms.get(i)).find(':input').each(function () {
                    updateElementIndex(this, prefix, i);
                });
            }
        }
        return false;
    }
    $(document).on('click', '.add-form-row', function (e) {
        e.preventDefault();
        cloneMore('.form-row:last', 'form');
        return false;
    });
    $(document).on('click', '.remove-form-row', function (e) {
        e.preventDefault();
        deleteForm('form', $(this));
        return false;
    });
    $(document).ready(function () {
        $("#buttoncal").click(function () {
            var pstrnumbers = $("#divnumbers").html();
            var res = pstrnumbers.split(";");
            var num = parseInt(res[0]);
            $("#id_ega_box_number").val(num);
        });
    });

    $(document).on('click', '#exampleAsig', function (e) {
        e.preventDefault();
        var content_initial = $("textarea#id_comments").val()
        var content = content_initial + " Pre-Assigned"
        $("textarea#id_comments").val(content);

        return false;
    });

    $(document).on('click', '#clearAsig', function (e) {
        e.preventDefault();

        $("textarea#id_comments").val('');
        return false;
    });


</script>
{% endblock %}